## ekeyd 1.1.3

=== daemon/Makefile ===
--- 
+++ 
@@ -106,6 +106,7 @@
 CFLAGS += -std=c99 -Wall -pedantic -Wshadow -Werror -D_GNU_SOURCE
 CFLAGS += '-DCONFIGFILE="$(SYSCONFPREFIX)/ekeyd.conf"' '-DPIDFILE="$(RUNTIMEPREFIX)/ekeyd.pid"' '-DKEYRINGFILE="$(SYSCONFPREFIX)/keyring"'
 LDFLAGS += $(LIBDIRS)
+CFLAGS += $(EXTRA_CFLAGS)
 
 ekey-ulusbd: ekey-ulusbd.o daemonise_ulusbd.o
 	$(CC) $(CFLAGS) $(PTHFLAGS) $(LDFLAGS) -o $@ $^ -lusb $(PTHLIBS)
@@ -136,7 +137,7 @@
 	if test -x $<; then chmod +x $@; fi
 
 clean:
-	$(RM) rdpkt ekeyd ekey-setkey *.o control.inc ../device/skeinwrap.o ../device/frames/pem.o ../device/skein/skein.o ../device/skein/skein_block.o ekeyd.conf ekey-rekey egd-linux control.inc.new ekeydctl ekey-ulusbd
+	$(RM) rdpkt ekeyd ekey-setkey *.o control.inc ../device/skeinwrap.o ../device/frames/pem.o ../device/skein/skein.o ../device/skein/skein_block.o ekeyd.conf ekey-rekey egd-linux control.inc.new ekeydctl ekey-ulusbd *.gcda gmon.out
 
 olddeps:
 	sudo apt-get install lua5.1 liblua5.1-socket2 liblua5.1-posix0 liblua5.1-dev libusb-dev
