=== debian/changelog ===
ekeyd (1.1.5-8) unstable; urgency=medium

  * QA upload.

  [ Samuel Thibault ]
  * d/control: Generalize into kfreebsd-any and hurd-any.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Oct 2024 16:34:58 +0200

ekeyd (1.1.5-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 1.1.4-1.
  * Changed maintainer to Debian QA group, as this package is
    currently unmaintained.
  * Added AppStream metainfo XML with hardware provide
    info (Closes: #836386).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Aug 2024 23:56:57 +0200

ekeyd (1.1.5-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Delegate placement of udev files to pkg-config data
    * Update dh compat for substitutions in .install files.
  * Cleanup uploaders list (Closes: #889304, #1050646)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make. (Closes:
    #888775)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 08 Dec 2023 00:24:37 +0100

ekeyd (1.1.5-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Be compatible with newer versions of lua-socket (Closes: #852380).
    Based on patches from Mathieu Parent and Courtney Bane.
  * d/control: Make both binary packages depend on lsb-base for
    /lib/lsb/init-functions, as detected by Lintian

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Feb 2017 15:42:08 +0000

ekeyd (1.1.5-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "fails to remove: subprocess installed post-removal script
    returned error exit status 1":
    apply patch from Cameron Norman to ekeyd.postrm:
    use invoke-rc.d instead of calling udevcontrol and udevadm.
    (Closes: #767671)

 -- gregor herrmann <gregoa@debian.org>  Mon, 24 Nov 2014 21:46:45 +0100

ekeyd (1.1.5-6) unstable; urgency=low

  * Fix incorrect variable reference in Makefile. (Closes: #718106)
    Thanks to Peter Michael Green.
  * Depend on lua-socket instead of liblua5.1-socket2, as the latter is no
    longer in jessie. Again, thanks to Peter Michael Green.

 -- Paul Martin <pm@debian.org>  Sun, 29 Sep 2013 23:48:12 +0100

ekeyd (1.1.5-5) unstable; urgency=low

  * Have init scripts not terminate if start-stop-daemon exits with an
    error. (Closes: #709204)

 -- Paul Martin <pm@debian.org>  Tue, 21 May 2013 16:17:40 +0100

ekeyd (1.1.5-4) unstable; urgency=low

  * Mea maxima culpa release.
  * In the transition to dh, many files were given wrong names (not
    renamed -- curse you dh_install) and so the postinst script errored.
    The package was therefore not installable. In fixing this, it was found
    that previous packagings were faulty too:
    + /usr/sbin/egd-linux and egd-linux.8 were installed in the ekeyd package.
    + udev rules were named 60-UDEKEY01.rules instead of 60-ekeyd.rules
  * Patch:
    + versionfix.patch: The upstream version number was still being
      reported as 1.1.4.

 -- Paul Martin <pm@debian.org>  Fri, 18 May 2012 13:28:08 +0100

ekeyd (1.1.5-3) unstable; urgency=low

  * Update to debhelper 9 and use the dh sequencer.
  * Patch:
    + harden-egd.patch: let egd-linux be linked with hardened flags.

 -- Paul Martin <pm@debian.org>  Thu, 17 May 2012 17:05:58 +0100

ekeyd (1.1.5-2) unstable; urgency=low

  * Brown paper bag.
    + debian/ekeyd.postinst didn't get updated. (Closes: #640597)
    + debian/ekeyd-egd-linux.default didn't get updated. (Closes: #576387)

 -- Paul Martin <pm@debian.org>  Fri, 16 Dec 2011 13:47:19 +0000

ekeyd (1.1.5-1) unstable; urgency=low

  * New upstream release

  [ Vincent Sanders ]
  * Fix postinstall failure when udev is not installed. (Closes: #640597)
    Thanks to gregor herrmann for NMU.

  [ Paul Martin ]
  * Fix escaping of slashes in key's serial number for munin scripts.
    (Closes: #598317)
  * Make the default for ekeyd-egd-linux be to retry a connection if it
    fails. (Closes: #576387)
  * Fix the ekey-rekey manpage to document that the serial number can be
    guessed automatically and that the master key will be prompted for if
    not provided on the command line. (Fixes Ubuntu bug 625446.)
  * Remove confusing Lua long-comments from ekeyd.conf.

 -- Paul Martin <pm@debian.org>  Wed, 14 Dec 2011 16:13:32 +0000

ekeyd (1.1.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "installation fails": only reload udev in the postinst if it's
    installed (udev is only in Recommends) (Closes: #640597)

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Nov 2011 14:26:06 +0100

ekeyd (1.1.4-1) unstable; urgency=low

  * New upstream release
    - EGD code will now timeout and retry if the server appears to
      go away or go silent.  (Closes: #623995)
    - README refers to /etc/entropykey/ekeyd.conf  (Closes: #592762)
    - ekey-rekey can now find the ekey if it's the only one present
      and will prompt for a master-key if not supplied on the cmdline.
      (Closes: #619106, #619107)
    -  ekey-rekey will remove spaces from the masterkey supplied on
       the commandline and ekey-setkey will remove them if they are
       entered when prompted.  (Closes: #619108)
  * Change to linux-any now that the packaging doesn't have to support
    older Debian-derived distributions.  (Closes: #596600, #634711)
  * Use log_daemon_msg when ekeyd is disabled.  (Closes: #578824)
  * Use invoke-rc.d for udev rules reload in postinst.  (Closes: #624211)
  * Added Paul Martin to Uploaders.

 -- Daniel Silverstone <dsilvers@debian.org>  Tue, 21 Jun 2011 15:50:00 +0100

ekeyd (1.1.3-3.1) unstable; urgency=low

  * NMU, added armhf support. (Closes: #605842)

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 24 Feb 2011 13:46:15 +0000

ekeyd (1.1.3-3) unstable; urgency=low


