=== debian/control ===
Source: ekeyd
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               liblua5.1-dev | liblua5.1-0-dev,
               lua5.1,
               pkgconf,
               systemd-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/ekeyd
Vcs-Git: https://salsa.debian.org/debian/ekeyd.git

Package: ekeyd
Architecture: any
Depends: lsb-base,
         lua-socket,
         lua5.1,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: udev [!kfreebsd-any !hurd-any],
Suggests: munin-node,
Description: Simtec Electronics UDEKEY01 Entropy Key Daemon
 This is a driver for the Simtec Electronics Entropy Key.  It is
 only needed if you have such a device (or devices).  It provides
 a daemon and tools to drive and control it, as well as options
 for injecting entropy directly into the kernel's pool, or serving
 it via the EGD protocol.

Package: ekeyd-egd-linux
Architecture: linux-any
Depends: lsb-base,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ekeyd,
Description: Transfers entropy from an EGD to the Linux kernel pool
 This utility reads from an EGD capable service over TCP and writes
 the entropy retrieved to the Linux kernel random pool. Typically
 this will be used on clusters or virtual hosts where direct access
 to useful entropy is hard.
