=== debian/rules ===
#!/usr/bin/make -f

export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C host clean

override_dh_auto_build:
	dh_auto_build --sourcedirectory=host -- BUILD_ULUSBD=no

override_dh_auto_install:
	install -m 644 munin/plugin-conf.d_ekeyd debian/ekeyd/etc/munin/plugin-conf.d/ekeyd
	install -m 644 debian/ekeyd.default debian/ekeyd/etc/default/ekeyd
	install -m 600 debian/ekeyd.keyring debian/ekeyd/etc/entropykey/keyring
	if [ -d debian/ekeyd-egd-linux ] ; then \
	 install -m 755 host/egd-linux debian/ekeyd-egd-linux/usr/sbin/ekeyd-egd-linux; \
	 install -m 644 debian/ekeyd-egd-linux.default debian/ekeyd-egd-linux/etc/default/ekeyd-egd-linux ; \
	 install -m 644 host/egd-linux.8 debian/ekeyd-egd-linux/usr/share/man/man8/ekeyd-egd-linux.8 ; \
	fi

override_dh_fixperms:
	dh_fixperms
	chmod 0755 debian/ekeyd/usr/share/munin/plugins/ekeyd_stat_
	chmod 0755 debian/ekeyd/$(deb_udevdir)/entropykey.sh
